PHP Manual
Prev |  | Next

# enchant_broker_dict_exists

(PECL)

enchant_broker_dict_exists -- Wether a dictionary exists or not. Using non-empty tag

## Description

bool enchant_broker_dict_exists ( resource broker, string tag )

Tells if a dictionary exists or not, using a non-empty tags

## Parameters

broker

  Broker resource

tag

  non-empty tag in the LOCALE format, ex: us_US, ch_DE, etc.

## Return Values

Returns `TRUE` when the tag exist or `FALSE` when not.

## Examples

Example 1. A enchant_broker_dict_exists() example

`<?php $tag = 'en_US'; $r = enchant_broker_init(); if (enchant_broker_dict_exists($r,$tag)) { echo $tag . " dictionary found.\n"; } ?>`

## See Also

enchant_broker_describe()

Prev | Home | Next
enchant_broker_describe | Up | enchant_broker_free_dict